// HaskellProxy.h : Declaration of the CHaskellProxy

#pragma once
#include "resource.h"       // main symbols


// IHaskellProxy
[
	object,
	uuid("F910193F-2B8F-4487-B9E9-25FD022B09E1"),
	dual,	helpstring("IHaskellProxy Interface"),
	pointer_default(unique)
]
__interface IHaskellProxy : IDispatch
{
	[id(1), helpstring("method string2string")] HRESULT string2string([in] BSTR* inString, [out,retval] VARIANT* result);
};



// CHaskellProxy

[
	coclass,
	threading("apartment"),
	vi_progid("Excel2Haskell.HaskellProxy"),
	progid("Excel2Haskell.HaskellProxy.1"),
	version(1.0),
	uuid("F7AB5858-2592-41B3-84FB-51F5092E1306"),
	helpstring("HaskellProxy Class")
]
class ATL_NO_VTABLE CHaskellProxy : 
	public IHaskellProxy
{
public:
	CHaskellProxy()
	{
	}


	DECLARE_PROTECT_FINAL_CONSTRUCT()

	HRESULT FinalConstruct()
	{
		return S_OK;
	}
	
	void FinalRelease() 
	{
	}

public:

	STDMETHOD(string2string)(BSTR* inString, VARIANT* result);
};

