{-# OPTIONS -fglasgow-exts #-}
module ExcelLink where

import Foreign
import Foreign.C

--- Reverts the given string
foreign export ccall hString2String :: CString -> IO CString
hString2String src = do
    str <- peekCString src
    newCString $ reverse str

--- Disposes of a string allocated via newCString
foreign export ccall hFreeString :: CString -> IO ()
hFreeString str = do
    free str
